ps_shading_pattern
ps_shfill
PS Functions
PHP Manual

# ps_shading

(PECL ps >= 1.3.0)

ps_shading — Creates a shading for later use

### Description

int ps_shading ( resource `$psdoc` , string `$type` , float `$x0` , float `$y0` , float `$x1` , float `$y1` , float `$c1` , float `$c2` , float `$c3` , float `$c4` , string `$optlist` )

Creates a shading, which can be used by ps_shfill() or ps_shading_pattern().

The color of the shading can be in any color space except for pattern.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`type`

  The type of shading can be either radial or axial. Each shading starts with the current fill color and ends with the given color values passed in the parameters `c1` to `c4` (see ps_setcolor() for their meaning).

`x0, x1, y0, y1`

  The coordinates `x0`, `y0`, `x1`, `y1` are the start and end point of the shading. If the type of shading is radial the two points are the middle points of a starting and ending circle.

`c1, c2, c3, c4`

  See ps_setcolor() for their meaning.

`optlist`

  If the shading is of type radial the `optlist` must also contain the parameters r0 and r1 with the radius of the start and end circle.

### Return Values

Returns the identifier of the pattern or `FALSE` on failure.

### See Also

- ps_shading_pattern() - Creates a pattern based on a shading
- ps_shfill() - Fills an area with a shading

ps_shading_pattern
ps_shfill
PS Functions
PHP Manual